# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.sidewiki
Class SidewikiEntryQuery

    java.lang.Object
      com.google.gdata.client.Query
          com.google.gdata.client.sidewiki.SidewikiEntryQuery

    public class SidewikiEntryQuery

extends Query

Describes a query for the feed of Sidewiki entries.

Nested Class Summary
`static class` `SidewikiEntryQuery.SortOrder` Order in which to sort entries.

Nested classes/interfaces inherited from class com.google.gdata.client.Query
`Query.CategoryFilter, Query.CustomParameter, Query.ResultFormat`

Field Summary

Fields inherited from class com.google.gdata.client.Query
`UNDEFINED`

Constructor Summary
`SidewikiEntryQuery(java.net.URL feedUrl)` Constructs a new query object that targets a feed.

Method Summary
`SidewikiEntryQuery.SortOrder` `getSortOrder()` Returns the order in which to sort entries.
`void` `setSortOrder(SidewikiEntryQuery.SortOrder sortOrder)` Sets the order in which to sort entries.

Methods inherited from class com.google.gdata.client.Query

`addCategoryFilter, addCustomParameter, appendQueryParameter, getAuthor, getCategoryFilters, getCustomParameters, getCustomParameters, getFeedUrl, getFields, getFullTextQuery, getIntegerCustomParameter, getMaxResults, getPublishedMax, getPublishedMin, getQueryUri, getResultFormat, getStartIndex, getStringCustomParameter, getUpdatedMax, getUpdatedMin, getUrl, isStrict, isValidState, setAuthor, setFields, setFullTextQuery, setIntegerCustomParameter, setMaxResults, setPublishedMax, setPublishedMin, setResultFormat, setStartIndex, setStrict, setStringCustomParameter, setUpdatedMax, setUpdatedMin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SidewikiEntryQuery

    public SidewikiEntryQuery(java.net.URL feedUrl)

  Constructs a new query object that targets a feed. The initial state of the query contains no parameters, meaning all entries in the feed would be returned if the query was executed immediately after construction.

  Parameters:
    `feedUrl` - the URL of the feed against which queries will be executed.

Method Detail

### getSortOrder

    public SidewikiEntryQuery.SortOrder getSortOrder()

  Returns the order in which to sort entries.

  Returns:
    order in which to sort entries or `null` to indicate that the parameter is not set.

### setSortOrder

    public void setSortOrder(SidewikiEntryQuery.SortOrder sortOrder)

  Sets the order in which to sort entries.

  Parameters:
    `sortOrder` - order in which to sort entries or `null` to remove this parameter if set.